|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectcom.opensymphony.xwork2.ActionSupport
com.gisgraphy.webapp.action.BaseAction
com.gisgraphy.webapp.action.UserAction
public class UserAction
Action for facilitating User Management feature.
| Field Summary |
|---|
| Fields inherited from class com.gisgraphy.webapp.action.BaseAction |
|---|
cancel, CANCEL, delete, from, log, mailEngine, mailMessage, roleManager, save, templateName, userManager |
| Fields inherited from class com.opensymphony.xwork2.ActionSupport |
|---|
LOG |
| Fields inherited from interface com.opensymphony.xwork2.Action |
|---|
ERROR, INPUT, LOGIN, NONE, SUCCESS |
| Constructor Summary | |
|---|---|
UserAction()
|
|
| Method Summary | |
|---|---|
String |
cancel()
Sends users to "mainMenu" when ! |
String |
delete()
Delete the user passed in. |
String |
edit()
Grab the user from the database based on the "id" passed in. |
String |
execute()
Default: just returns "success" |
User |
getUser()
|
List<User> |
getUsers()
Holder for users to display on list screen |
String |
list()
Fetch all users from database and put into local "users" variable for retrieval in the UI. |
void |
prepare()
Grab the entity from the database before populating with request parameters |
String |
save()
Save user |
void |
setId(String id)
|
void |
setUser(User user)
|
| Methods inherited from class com.gisgraphy.webapp.action.BaseAction |
|---|
getConfiguration, getRequest, getResponse, getSession, saveMessage, sendUserMessage, setDelete, setFrom, setMailEngine, setMailMessage, setRoleManager, setSave, setTemplateName, setUserManager |
| Methods inherited from class com.opensymphony.xwork2.ActionSupport |
|---|
addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, doDefault, getActionErrors, getActionMessages, getErrorMessages, getErrors, getFieldErrors, getLocale, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, pause, setActionErrors, setActionMessages, setFieldErrors, validate |
| Methods inherited from class java.lang.Object |
|---|
equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Constructor Detail |
|---|
public UserAction()
| Method Detail |
|---|
public void prepare()
prepare in interface com.opensymphony.xwork2.Preparablepublic List<User> getUsers()
public void setId(String id)
public User getUser()
public void setUser(User user)
public String delete()
public String edit()
throws IOException
IOException - can happen when sending a "forbidden" from
response.sendError()public String execute()
execute in interface com.opensymphony.xwork2.Actionexecute in class com.opensymphony.xwork2.ActionSupportpublic String cancel()
cancel in class BaseAction
public String save()
throws IOException
IOException - when setting "access denied" fails on responsepublic String list()
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||